Last Comment Bug 720063 - Clearing cache does not zero out the cache in use size number until closing / reopening preferences window
: Clearing cache does not zero out the cache in use size number until closing /...
Status: VERIFIED FIXED
[good first bug][mentor=Phil.Chee][la...
:
Product: SeaMonkey
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
: -- minor (vote)
: seamonkey2.10
Assigned To: Edmund Wong (:ewong)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-20 18:53 PST by Michael Lueck
Modified: 2012-06-08 00:06 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Zero out the cache in use size when clearing cache. (651 bytes, patch)
2012-02-29 22:55 PST, Edmund Wong (:ewong)
iann_bugzilla: review+
Details | Diff | Splinter Review

Description Michael Lueck 2012-01-20 18:53:38 PST
User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:9.0.1) Gecko/20100101 Firefox/9.0.1
Build ID: 20111220165912

Steps to reproduce:

Edit \ Preferences \ Open Twisty for Advanced \ Cache \ click the button "Clear Cache"

Official Mozilla binary build: Mozilla/5.0 (X11; Linux x86_64; rv:9.0.1) Gecko/20111221 Firefox/9.0.1 SeaMonkey/2.6.1

Installed via UbuntuZilla


Actual results:

Current cache size number did not go to 0.

If the Preferences window is closed, going back to the same menu path, THEN the number is already 0 without pushing the "Clear Cache" button a second time.


Expected results:

Should have gone to 0 right away without needing to exit the window and reopen the window.
Comment 1 Jens Hatlak (:InvisibleSmiley) 2012-01-21 00:58:16 PST
Confirmed.
Comment 2 Philip Chee 2012-01-21 10:49:06 PST
I think ClearDiskAndMemCache() should call updateActualCacheSize() at the end.
Comment 3 Jens Hatlak (:InvisibleSmiley) 2012-01-21 10:55:06 PST
(In reply to Philip Chee from comment #2)
> I think ClearDiskAndMemCache() should call updateActualCacheSize() at the
> end.

mentor=you then? :-) Or if it's really that easy, could fix it right away.
Comment 4 Edmund Wong (:ewong) 2012-02-29 22:55:32 PST
Created attachment 601881 [details] [diff] [review]
Zero out the cache in use size when clearing cache.
Comment 5 Edmund Wong (:ewong) 2012-03-04 18:31:54 PST
Pushed to comm-central:
http://hg.mozilla.org/comm-central/rev/4a8aad19f735
Comment 6 Michael Lueck 2012-05-05 12:19:45 PDT
I see this bug report has been flagged at a status of Resolved / Fixed. Now I am running the official binaries from Mozilla of: Mozilla/5.0 (X11; Linux x86_64; rv:12.0) Gecko/20120429 Firefox/12.0 SeaMonkey/2.9.1  and still see this bug present. Which version will finally include this fix?
Comment 7 Jens Hatlak (:InvisibleSmiley) 2012-05-05 15:07:01 PDT
(In reply to Michael Lueck from comment #6)
> Which version will finally include this fix?

2.10. It's always the version from Target Milestone (or lowest with "fixed" from Tracking Flags, if present). Unfortunately, some contributors forget to set the flags accordingly. I did this now for this bug (checkin to trunk was on 03-05 which is before 03-13 which was the date when 2.10 moved from trunk to Aurora).
Comment 8 Michael Lueck 2012-06-07 16:05:35 PDT
Fix confirmed in Mozilla/5.0 (X11; Linux x86_64; rv:13.0) Gecko/20120604 Firefox/13.0 SeaMonkey/2.10 Thank you! :-)

Note You need to log in before you can comment on or make changes to this bug.